<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.gyee.wisdom.alarm.schedule.mapper.WindPowerStationMapper">

    <select id="getStationAll" resultType="com.gyee.wisdom.alarm.schedule.entity.WindPowerStation" >
        select * from windpowerstation a
        <where>
            1=1
            <if test="idString !=null and idString !=''">
                and a.id like '%${idString}%'
            </if>
        </where>
    </select>

    <select id="getStationByid" resultType="com.gyee.wisdom.alarm.schedule.entity.WindPowerStation" >
        select * from windpowerstation a
        <where>
            1=1
            <if test="id !=null and id !=''">
                and a.id =#{id}
            </if>
        </where>
    </select>

    <select id="selectByid" resultType="com.gyee.wisdom.alarm.schedule.entity.WindPowerStation">
        select * from  windpowerstation a where a.id=#{station}
    </select>

</mapper>
